6.0.0-git
2019-09-15

[#3] LDAP preferences container: preferences are lost between applications
Summary LDAP preferences container: preferences are lost between applications
Queue Horde Framework Packages
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester pj (at) ebrb (dot) net
Created 2004-03-07 (5670 days ago)
Due
Updated 2017-10-25 (690 days ago)
Assigned 2004-11-15 (5417 days ago)
Resolved 2004-12-07 (5395 days ago)
Milestone
Patch No

History
2017-10-25 08:25:46 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 56d82c6574bfa544f9fd0515d312eaeb442e632a
Author: Michael Cramer <michael@bigmichi1.de>
Date:   Sun, 22 Oct 2017 14:30:10 +0200

  TypeError: Argument 2 passed to Horde_Db_Adapter_Base::_replaceParameters()

when we do a automatic face detection whit libpuzzle enabled we got an 
error about wrong argument type

2017-10-22T12:17:22+00:00 EMERG: HORDE [ansel] TypeError: Argument 2 
passed to Horde_Db_Adapter_Base::_replaceParameters() must be of the 
type array, integer given, called in 
/usr/share/php/Horde/Db/Adapter/Pdo/Base.php on line 364 and d
efined in /usr/share/php/Horde/Db/Adapter/Base.php:784
Stack trace:
#0 /usr/share/php/Horde/Db/Adapter/Pdo/Base.php(364): 
Horde_Db_Adapter_Base->_replaceParameters('face_id = ?', 5)
#1 /srv/www/docs/ansel/lib/Faces/Base.php(655): 
Horde_Db_Adapter_Pdo_Base->updateBlob('ansel_faces', Array, Array)
#2 /srv/www/docs/ansel/lib/Faces/Base.php(554): 
Ansel_Faces_Base->saveSignature(4947, 5)
#3 /srv/www/docs/ansel/lib/Ajax/Imple/EditFaces.php(50): 
Ansel_Faces_Base->getFromPicture(Object(Ansel_Image), true)
#4 /usr/share/php/Horde/Core/Ajax/Imple.php(120): 
Ansel_Ajax_Imple_EditFaces->_handle(Object(Horde_Variables))
#5 /usr/share/php/Horde/Core/Ajax/Application/Handler/Imple.php(31): 
Horde_Core_Ajax_Imple->handle(Object(Horde_Variables))
#6 /usr/share/php/Horde/Core/Ajax/Application.php(175): 
Horde_Core_Ajax_Application_Handler_Imple->imple()
#7 /srv/www/docs/services/ajax.php(61): 
Horde_Core_Ajax_Application->doAction()
#8 {main} [pid 13479 on line 74 of "/usr/share/php/Horde/ErrorHandler.php"]

  M lib/Faces/Base.php

https://github.com/horde/ansel/commit/56d82c6574bfa544f9fd0515d312eaeb442e632a
2005-03-21 06:14:05 me (at) here (dot) there Comment #5 Reply to this comment
Why can I add comments to an already closed job?

(Without reopenning it!)
2004-12-07 21:42:36 Chuck Hagenbuch Comment #4
State ⇒ Resolved
Reply to this comment
No feedback, resolving - reopen if it's still a problem.
2004-11-25 14:25:14 Jan Schneider Comment #3 Reply to this comment
Or 3.0-RC2 for what it's worth?
2004-11-15 15:13:28 Jan Schneider Comment #2
Taken from Jon Parise
State ⇒ Feedback
Assigned to Horde DevelopersHorde Developers
Reply to this comment
Is this still happening with Horde 3.0-BETA?
2004-03-25 17:13:09 Chuck Hagenbuch Assigned to Jon Parise
 
2004-03-25 17:13:08 Chuck Hagenbuch State ⇒ Assigned
Priority ⇒ 2. Medium
 
2004-03-07 17:31:43 pj (at) ebrb (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Reply to this comment
Using horde, imp, turba from CVS using HEAD.

Setup to store the preferences in LDAP.



preferences values are "lost" depending upon where you go.



Upon login, my ldap replication log file has:

replace: hordePrefs

hordePrefs: horde:language:

hordePrefs: horde:theme:

hordePrefs: imp:summary_refresh_time:300

hordePrefs: horde:timezone:

hordePrefs: imp:mailbox:INBOX

hordePrefs: horde:identities:a:0:{}

hordePrefs: horde:default_identity:0

hordePrefs: horde:signature:

hordePrefs: horde:sig_dashes:0

hordePrefs: horde:sig_first:0

hordePrefs: horde:fullname:

hordePrefs: horde:from_addr:

hordePrefs: horde:replyto_addr:

hordePrefs: horde:save_sent_mail:1

hordePrefs: horde:sent_mail_folder:sent-mail

hordePrefs: imp:sortby:1

hordePrefs: imp:sortdir:1

hordePrefs: imp:max_msgs:20

hordePrefs: imp:num_words:5

hordePrefs: imp:nav_expanded:0

hordePrefs: imp:show_legend:1

hordePrefs: imp:highlight_text:1

hordePrefs: imp:dim_signature:1

hordePrefs: imp:attachment_display:list

hordePrefs: imp:delhide:0

hordePrefs: imp:last_login:1022116977

hordePrefs: imp:show_last_login:0

hordePrefs: imp:initial_page:INBOX

hordePrefs: imp:do_maintenance:1

hordePrefs: imp:rename_sentmail_monthly:0

hordePrefs: imp:delete_sentmail_monthly:0

hordePrefs: imp:delete_sentmail_monthly_keep:12

hordePrefs: imp:purge_trash:0

hordePrefs: imp:purge_trash_interval:2

hordePrefs: imp:purge_trash_keep:30

hordePrefs: imp:mailbox_return:0

hordePrefs: imp:use_trash:0

hordePrefs: imp:trash_folder:Trash

hordePrefs: imp:subscribe:0

hordePrefs: imp:wrap_width:72

hordePrefs: imp:reply_quote:1

hordePrefs:: aW1wOnF1b3RlX3ByZWZpeDo+IA==

hordePrefs: imp:compose_popup:1

hordePrefs: imp:drafts_folder:Drafts

hordePrefs: imp:close_draft:1

hordePrefs: imp:search_sources:localldap

hordePrefs:: aW1wOnNlYXJjaF9maWVsZHM6bG9jYWxsZGFwCWFsaWFzCW5hbWUJZW1haWwJY29tc

  GFueQ==

hordePrefs: imp:add_source:localldap

hordePrefs: imp:filtering:0

hordePrefs: imp:expanded_folders:a:0:{}

hordePrefs: imp:nav_poll:

hordePrefs: imp:refresh_time:0

hordePrefs: imp:nav_popup:0

hordePrefs: imp:filters:

hordePrefs: imp:filter_on_login:0

hordePrefs: imp:filter_on_refresh:0

hordePrefs: imp:show_filter_msg:0

hordePrefs: imp:use_pgp:0

hordePrefs: imp:pgp_attach_pubkey:0

hordePrefs: imp:pgp_private_key:

hordePrefs: imp:pgp_public_key:



I switch to turba, change an option, and it the replication log file has:

replace: hordePrefs

replace: hordePrefs

hordePrefs: horde:language:

hordePrefs: horde:theme:

hordePrefs: turba:summary_refresh_time:300

hordePrefs:: dHVyYmE6Y29sdW1uczpuZXRjZW50ZXIJZW1haWwKYmlnZm9vdAllbWFpbAp2ZXJpc

  2lnbgllbWFpbApsb2NhbHNxbAllbWFpbApsb2NhbGxkYXAJY29tcGFueQlhbGlhcwllbWFpbA==

hordePrefs: turba:initial_page:search.php

hordePrefs: horde:timezone:

hordePrefs: horde:identities:a:0:{}

hordePrefs: horde:default_identity:0

hordePrefs: horde:signature:

hordePrefs: horde:sig_dashes:0

hordePrefs: horde:sig_first:0

hordePrefs: horde:fullname:

hordePrefs: horde:from_addr:

hordePrefs: horde:replyto_addr:

hordePrefs: horde:save_sent_mail:1

hordePrefs: horde:sent_mail_folder:sent-mail



If I switch to imp and save an option, the log file looks like (note 
the missing

turba values):

replace: hordePrefs

hordePrefs: horde:language:

hordePrefs: horde:theme:

hordePrefs: imp:summary_refresh_time:300

hordePrefs: horde:timezone:

hordePrefs: imp:mailbox:INBOX

hordePrefs: horde:identities:a:0:{}

hordePrefs: horde:default_identity:0

hordePrefs: horde:signature:

hordePrefs: horde:sig_dashes:0

hordePrefs: horde:sig_first:0

hordePrefs: horde:fullname:

hordePrefs: horde:from_addr:

hordePrefs: horde:replyto_addr:

hordePrefs: horde:save_sent_mail:1

hordePrefs: horde:sent_mail_folder:sent-mail

hordePrefs: imp:sortby:1

hordePrefs: imp:sortdir:1

hordePrefs: imp:max_msgs:20

hordePrefs: imp:num_words:5

hordePrefs: imp:nav_expanded:0

hordePrefs: imp:show_legend:1

hordePrefs: imp:highlight_text:1

hordePrefs: imp:dim_signature:1

hordePrefs: imp:attachment_display:list

hordePrefs: imp:delhide:0

hordePrefs: imp:last_login:1022116977

hordePrefs: imp:show_last_login:0

hordePrefs: imp:initial_page:INBOX

hordePrefs: imp:do_maintenance:1

hordePrefs: imp:rename_sentmail_monthly:0

hordePrefs: imp:delete_sentmail_monthly:0

hordePrefs: imp:delete_sentmail_monthly_keep:12

hordePrefs: imp:purge_trash:0

hordePrefs: imp:purge_trash_interval:2

hordePrefs: imp:purge_trash_keep:30

hordePrefs: imp:mailbox_return:0

hordePrefs: imp:use_trash:0

hordePrefs: imp:trash_folder:Trash

hordePrefs: imp:subscribe:0

hordePrefs: imp:wrap_width:80

hordePrefs: imp:reply_quote:1

hordePrefs:: aW1wOnF1b3RlX3ByZWZpeDo+IA==

hordePrefs: imp:compose_popup:1

hordePrefs: imp:drafts_folder:Drafts

hordePrefs: imp:close_draft:1

hordePrefs: imp:search_sources:localldap

hordePrefs:: aW1wOnNlYXJjaF9maWVsZHM6bG9jYWxsZGFwCWFsaWFzCW5hbWUJZW1haWwJY29tc

  GFueQ==

hordePrefs: imp:add_source:localldap

hordePrefs: imp:filtering:0

hordePrefs: imp:expanded_folders:a:0:{}

hordePrefs: imp:nav_poll:

hordePrefs: imp:refresh_time:0

hordePrefs: imp:nav_popup:0

hordePrefs: imp:filters:

hordePrefs: imp:filter_on_login:0

hordePrefs: imp:filter_on_refresh:0

hordePrefs: imp:show_filter_msg:0

hordePrefs: imp:use_pgp:0

hordePrefs: imp:pgp_attach_pubkey:0

hordePrefs: imp:pgp_private_key:

hordePrefs: imp:pgp_public_key:



Though if you go back and forth between the modules (imp/turba) it 
still has all

of the correct preferences, but once you leave and go back in, the preferences

get set to imp's defaults (though if the last time you save 
preferences was for

imp, those preferences are saved).



let me know if you need more info.



thanks.



pj.

Saved Queries